// Package enums ...
//
// Description : enums ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-11-25 14:39
package enums

// RequestDataLocation 请求数据所在位置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 14:40 2024/11/25
type RequestDataLocation string

func (rdl RequestDataLocation) String() string {
	return string(rdl)
}

func (rdl RequestDataLocation) MarshalJSON() ([]byte, error) {
	return []byte(rdl.String()), nil
}

// ResponseDataLocation 响应数据所在位置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 14:41 2024/11/25
type ResponseDataLocation string

func (rdl ResponseDataLocation) String() string {
	return string(rdl)
}

func (rdl ResponseDataLocation) MarshalJSON() ([]byte, error) {
	return []byte(rdl.String()), nil
}
