// Package enums ...
//
// Description : enums ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-11-25 14:08
package enums

// DataType 数据类型枚举值
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 14:10 2024/11/25
type DataType string

func (df DataType) String() string {
	return string(df)
}

func (df DataType) MarshalJSON() ([]byte, error) {
	return []byte(df.String()), nil
}
